package com.sv.mapper;

import com.sv.entity.VipCard;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Mapper - 会员卡配置
 *
 * @author lihong
 * @since 2018-08-03
 */
public interface VipCardMapper {

    /**
     * 新建会员卡配置
     *
     * @param vipCard 会员卡配置
     */
    void insert(VipCard vipCard);

    /**
     * 更新会员卡配置
     *
     * @param vipCard 会员卡配置
     */
    void update(VipCard vipCard);

    /**
     * 删除会员卡配置
     *
     * @param id 编号
     * @return 删除数量
     */
    int delete(Integer id);

    /**
     * 删除会员卡配置
     *
     * @param ids 编号数组
     * @return 删除数量
     */
    int deleteByIds(Integer[] ids);

    /**
     * 查询会员卡配置
     *
     * @param id 编号
     * @return 会员卡配置
     */
    VipCard findById(Integer id);


    /**
     * 查询所有会员卡
     *
     * @return 会员卡配置
     */
    List<VipCard> findCard();

    /**
     * 查询会员卡配置
     *
     * @return 会员卡配置集合
     */
    List<VipCard> findAll();

    /**
     * 更新状态
     *
     * @param ids 编号
     * @param status 状态
     * @return 更新数量
     */
    int updateStatus(@Param("ids") Integer[] ids, @Param("status") Byte status);

}